package Cluedo.API;

import Cluedo.Game.Card;

/**
 * Alert is concerned with relaying all information about a suggestion.
 *  
 * @author Alex Ellis
 */
public class SuggestionAlert {

	public Card who = null;
	public Card what = null;
	public Card where = null;
	public String suggestedBy = "";

	public SuggestionAlert(Card who, Card what, Card where, String suggestedBy) {
		this.who = who;
		this.what = what; 
		this.where = where;
		this.suggestedBy = suggestedBy;
	}
	
	public Card getWho() {
		return who;	
	}
	public Card getWhere() {
		return where;
	}
	public Card getWhat() {
		return what;
	}
	public String getSuggestedBy() {
		return suggestedBy;
	}
}